const r = {
  neutral: {
    N900: "#091E42",
    N800: "#172B4D",
    N700: "#253858",
    N600: "#344563",
    N500: "#42526E",
    N400: "#505F79",
    N300: "#5E6C84",
    N200: "#6B778C",
    N100: "#7A869A",
    N90: "#8993A4",
    N80: "#97A0AF",
    N70: "#A5ADBA",
    N60: "#B3BAC5",
    N50: "#C1C7D0",
    N40: "#DFE1E6",
    N30: "#EBECF0",
    N20: "#F4F5F7",
    N10: "#FAFBFC",
    N0: "#FFFFFF"
  },
  neutralAlpha: {
    N900A: "rgba(9, 30, 66, 1)",
    N800A: "rgba(9, 30, 66, 0.95)",
    N700A: "rgba(9, 30, 66, 0.89)",
    N600A: "rgba(9, 30, 66, 0.82)",
    N500A: "rgba(9, 30, 66, 0.77)",
    N400A: "rgba(9, 30, 66, 0.71)",
    N300A: "rgba(9, 30, 66, 0.66)",
    N200A: "rgba(9, 30, 66, 0.60)",
    N100A: "rgba(9, 30, 66, 0.54)",
    N90A: "rgba(9, 30, 66, 0.48)",
    N80A: "rgba(9, 30, 66, 0.42)",
    N70A: "rgba(9, 30, 66, 0.36)",
    N60A: "rgba(9, 30, 66, 0.31)",
    N50A: "rgba(9, 30, 66, 0.25)",
    N40A: "rgba(9, 30, 66, 0.13)",
    N30A: "rgba(9, 30, 66, 0.08)",
    N20A: "rgba(9, 30, 66, 0.04)",
    N10A: "rgba(9, 30, 66, 0.02)",
    N0A: "rgba(9, 30, 66, 0)"
  },
  red: {
    R500: "#BF2600",
    R400: "#DE350B",
    R300: "#FF5630",
    R200: "#FF7452",
    R100: "#FF8F73",
    R75: "#FFBDAD",
    R50: "#FFEBE6"
  },
  yellow: {
    Y500: "#FF8B00",
    Y400: "#FF991F",
    Y300: "#FFAB00",
    Y200: "#FFC400",
    Y100: "#FFE380",
    Y75: "#FFF0B3",
    Y50: "#FFFAE6"
  },
  green: {
    G500: "#006644",
    G400: "#00875A",
    G300: "#36B37E",
    G200: "#57D9A3",
    G100: "#79F2C0",
    G75: "#ABF5D1",
    G50: "#E3FCEF"
  },
  blue: {
    B500: "#0747A6",
    B400: "#0052CC",
    B300: "#0065FF",
    B200: "#2684FF",
    B100: "#4C9AFF",
    B75: "#B3D4FF",
    B50: "#DEEBFF"
  },
  teal: {
    T500: "#008DA6",
    T400: "#00A3BF",
    T300: "#00B8D9",
    T200: "#00C7E6",
    T100: "#79E2F2",
    T75: "#B3F5FF",
    T50: "#E6FCFF"
  },
  purple: {
    P500: "#403294",
    P400: "#5243AA",
    P300: "#6554C0",
    P200: "#8777D9",
    P100: "#998DD9",
    P75: "#C0B6F2",
    P50: "#EAE6FF"
  }
}, e = {
  primary: {
    content: {
      color: {
        regular: r.blue.B400,
        disabled: r.neutral.N70,
        hover: r.blue.B300
      }
    }
  },
  success: {
    content: {
      color: {
        regular: r.green.G400,
        disabled: r.neutral.N70,
        hover: r.green.G300
      }
    }
  },
  warning: {
    content: {
      color: {
        regular: r.yellow.Y400,
        disabled: r.neutral.N70,
        hover: r.yellow.Y300
      }
    }
  },
  danger: {
    content: {
      color: {
        regular: r.red.R400,
        disabled: r.neutral.N70,
        hover: r.red.R300
      }
    }
  },
  help: {
    content: {
      color: {
        regular: r.purple.P400,
        disabled: r.neutral.N70,
        hover: r.purple.P300
      }
    }
  },
  dark: {
    content: {
      color: {
        regular: r.neutral.N900,
        disabled: r.neutral.N70,
        hover: r.neutral.N500
      }
    }
  },
  gray: {
    content: {
      color: {
        regular: r.neutral.N300,
        disabled: r.neutral.N70,
        hover: r.neutral.N100
      }
    }
  },
  light: {
    content: {
      color: {
        regular: r.neutral.N10,
        disabled: r.neutral.N70,
        hover: r.neutral.N0
      }
    }
  }
}, a = {
  primary: {
    content: {
      color: {
        regular: r.blue.B400,
        disabled: r.neutral.N70,
        hover: r.blue.B300
      }
    },
    background: {
      color: {
        regular: r.blue.B400,
        disabled: r.neutral.N20,
        hover: r.blue.B300
      }
    },
    contrast: {
      color: {
        regular: r.neutral.N10,
        disabled: r.neutral.N70,
        hover: r.neutral.N10
      }
    }
  },
  success: {
    content: {
      color: {
        regular: r.green.G400,
        disabled: r.neutral.N70,
        hover: r.green.G300
      }
    },
    background: {
      color: {
        regular: r.green.G400,
        disabled: r.neutral.N20,
        hover: r.green.G300
      }
    },
    contrast: {
      color: {
        regular: r.neutral.N10,
        disabled: r.neutral.N70,
        hover: r.neutral.N10
      }
    }
  },
  warning: {
    content: {
      color: {
        regular: r.yellow.Y400,
        disabled: r.neutral.N70,
        hover: r.yellow.Y300
      }
    },
    background: {
      color: {
        regular: r.yellow.Y400,
        disabled: r.neutral.N20,
        hover: r.yellow.Y300
      }
    },
    contrast: {
      color: {
        regular: r.neutral.N10,
        disabled: r.neutral.N70,
        hover: r.neutral.N10
      }
    }
  },
  danger: {
    content: {
      color: {
        regular: r.red.R400,
        disabled: r.neutral.N70,
        hover: r.red.R300
      }
    },
    background: {
      color: {
        regular: r.red.R400,
        disabled: r.neutral.N20,
        hover: r.red.R300
      }
    },
    contrast: {
      color: {
        regular: r.neutral.N10,
        disabled: r.neutral.N70,
        hover: r.neutral.N10
      }
    }
  },
  help: {
    content: {
      color: {
        regular: r.purple.P400,
        disabled: r.neutral.N70,
        hover: r.purple.P300
      }
    },
    background: {
      color: {
        regular: r.purple.P400,
        disabled: r.neutral.N20,
        hover: r.purple.P300
      }
    },
    contrast: {
      color: {
        regular: r.neutral.N10,
        disabled: r.neutral.N70,
        hover: r.neutral.N10
      }
    }
  },
  dark: {
    content: {
      color: {
        regular: r.neutral.N900,
        disabled: r.neutral.N70,
        hover: r.neutral.N500
      }
    },
    background: {
      color: {
        regular: r.neutral.N900,
        disabled: r.neutral.N20,
        hover: r.neutral.N500
      }
    },
    contrast: {
      color: {
        regular: r.neutral.N10,
        disabled: r.neutral.N70,
        hover: r.neutral.N10
      }
    }
  },
  gray: {
    content: {
      color: {
        regular: r.neutral.N300,
        disabled: r.neutral.N70,
        hover: r.neutral.N100
      }
    },
    background: {
      color: {
        regular: r.neutral.N300,
        disabled: r.neutral.N20,
        hover: r.neutral.N100
      }
    },
    contrast: {
      color: {
        regular: r.neutral.N900,
        disabled: r.neutral.N70,
        hover: r.neutral.N900
      }
    }
  },
  light: {
    content: {
      color: {
        regular: r.neutral.N10,
        disabled: r.neutral.N70,
        hover: r.neutral.N0
      }
    },
    background: {
      color: {
        regular: r.neutral.N10,
        disabled: r.neutral.N20,
        hover: r.neutral.N0
      }
    },
    contrast: {
      color: {
        regular: r.neutral.N900,
        disabled: r.neutral.N70,
        hover: r.neutral.N900
      }
    }
  }
}, o = {
  legend: {
    color: r.neutral.N200
  },
  border: {
    color: r.neutral.N40
  }
}, l = {
  primary: {
    solid: {
      spin: {
        color: r.blue.B400
      },
      track: {
        color: r.neutral.N30
      }
    },
    transparent: {
      spin: {
        color: r.blue.B400
      },
      track: {
        color: r.neutralAlpha.N0A
      }
    }
  },
  success: {
    solid: {
      spin: {
        color: r.green.G400
      },
      track: {
        color: r.neutral.N30
      }
    },
    transparent: {
      spin: {
        color: r.green.G400
      },
      track: {
        color: r.neutralAlpha.N0A
      }
    }
  },
  warning: {
    solid: {
      spin: {
        color: r.yellow.Y400
      },
      track: {
        color: r.neutral.N30
      }
    },
    transparent: {
      spin: {
        color: r.yellow.Y400
      },
      track: {
        color: r.neutralAlpha.N0A
      }
    }
  },
  danger: {
    solid: {
      spin: {
        color: r.red.R400
      },
      track: {
        color: r.neutral.N30
      }
    },
    transparent: {
      spin: {
        color: r.red.R400
      },
      track: {
        color: r.neutralAlpha.N0A
      }
    }
  },
  help: {
    solid: {
      spin: {
        color: r.purple.P400
      },
      track: {
        color: r.neutral.N30
      }
    },
    transparent: {
      spin: {
        color: r.purple.P400
      },
      track: {
        color: r.neutralAlpha.N0A
      }
    }
  },
  dark: {
    solid: {
      spin: {
        color: r.neutral.N900
      },
      track: {
        color: r.neutral.N30
      }
    },
    transparent: {
      spin: {
        color: r.neutral.N900
      },
      track: {
        color: r.neutralAlpha.N0A
      }
    }
  },
  gray: {
    solid: {
      spin: {
        color: r.neutral.N100
      },
      track: {
        color: r.neutral.N30
      }
    },
    transparent: {
      spin: {
        color: r.neutral.N100
      },
      track: {
        color: r.neutralAlpha.N0A
      }
    }
  },
  light: {
    solid: {
      spin: {
        color: r.neutral.N10
      },
      track: {
        color: r.neutral.N30
      }
    },
    transparent: {
      spin: {
        color: r.neutral.N10
      },
      track: {
        color: r.neutralAlpha.N0A
      }
    }
  }
}, n = {
  primary: {
    content: {
      color: {
        regular: r.blue.B400,
        disabled: r.neutral.N20,
        hover: r.blue.B300
      }
    },
    border: {
      color: {
        regular: r.blue.B400,
        disabled: r.neutral.N70,
        hover: r.blue.B300
      }
    },
    contrast: {
      appearance: "light"
    }
  },
  success: {
    content: {
      color: {
        regular: r.green.G400,
        disabled: r.neutral.N20,
        hover: r.green.G300
      }
    },
    border: {
      color: {
        regular: r.green.G400,
        disabled: r.neutral.N70,
        hover: r.green.G300
      }
    },
    contrast: {
      appearance: "light"
    }
  },
  warning: {
    content: {
      color: {
        regular: r.yellow.Y400,
        disabled: r.neutral.N20,
        hover: r.yellow.Y300
      }
    },
    border: {
      color: {
        regular: r.yellow.Y400,
        disabled: r.neutral.N70,
        hover: r.yellow.Y300
      }
    },
    contrast: {
      appearance: "dark"
    }
  },
  danger: {
    content: {
      color: {
        regular: r.red.R400,
        disabled: r.neutral.N20,
        hover: r.red.R300
      }
    },
    border: {
      color: {
        regular: r.red.R400,
        disabled: r.neutral.N70,
        hover: r.red.R300
      }
    },
    contrast: {
      appearance: "light"
    }
  },
  help: {
    content: {
      color: {
        regular: r.purple.P400,
        disabled: r.neutral.N20,
        hover: r.purple.P300
      }
    },
    border: {
      color: {
        regular: r.purple.P400,
        disabled: r.neutral.N70,
        hover: r.purple.P300
      }
    },
    contrast: {
      appearance: "light"
    }
  },
  dark: {
    content: {
      color: {
        regular: r.neutral.N900,
        disabled: r.neutral.N20,
        hover: r.neutral.N500
      }
    },
    border: {
      color: {
        regular: r.neutral.N900,
        disabled: r.neutral.N70,
        hover: r.neutral.N500
      }
    },
    contrast: {
      appearance: "light"
    }
  },
  gray: {
    content: {
      color: {
        regular: r.neutral.N20,
        disabled: r.neutral.N20,
        hover: r.neutral.N30
      }
    },
    border: {
      color: {
        regular: r.neutral.N200,
        disabled: r.neutral.N70,
        hover: r.neutral.N90
      }
    },
    contrast: {
      appearance: "gray"
    }
  },
  light: {
    content: {
      color: {
        regular: r.neutral.N20,
        disabled: r.neutral.N20,
        hover: r.neutral.N0
      }
    },
    border: {
      color: {
        regular: r.neutral.N20,
        disabled: r.neutral.N70,
        hover: r.neutral.N0
      }
    },
    contrast: {
      appearance: "dark"
    }
  }
}, t = {
  content: {
    color: {
      regular: r.neutral.N900,
      disabled: r.neutral.N70,
      focus: r.blue.B300,
      invalid: r.red.R300
    }
  }
}, c = {
  on: {
    background: {
      color: {
        regular: r.green.G400,
        disabled: r.neutral.N20,
        hover: r.green.G300
      }
    },
    toggleBackground: {
      color: {
        regular: r.neutral.N0,
        disabled: r.neutral.N0,
        hover: r.neutral.N0
      }
    },
    toggleBorder: {
      color: {
        regular: r.neutralAlpha.N0A,
        disabled: r.neutral.N70,
        hover: r.neutralAlpha.N0A
      }
    },
    icon: {
      appereance: "light"
    }
  },
  off: {
    background: {
      color: {
        regular: r.neutral.N20,
        disabled: r.neutral.N20,
        hover: r.neutral.N10
      }
    },
    toggleBackground: {
      color: {
        regular: r.neutral.N0,
        disabled: r.neutral.N0,
        hover: r.neutral.N0
      }
    },
    toggleBorder: {
      color: {
        regular: r.neutral.N70,
        disabled: r.neutral.N70,
        hover: r.neutral.N70
      }
    },
    icon: {
      appereance: "gray"
    }
  }
}, u = {
  border: {
    color: {
      regular: r.neutral.N40,
      disabled: r.neutral.N40,
      focus: r.blue.B400,
      invalid: r.red.R400
    }
  },
  background: {
    color: {
      regular: r.neutralAlpha.N0A,
      disabled: r.neutral.N10
    }
  },
  content: {
    color: {
      regular: r.neutral.N900,
      disabled: r.neutral.N70
    }
  },
  placeholder: {
    color: {
      regular: r.neutral.N300
    }
  },
  message: {
    color: {
      regular: r.red.R400
    }
  },
  required: {
    color: {
      regular: r.red.R400,
      disabled: r.neutral.N70
    }
  },
  optionList: {
    appearance: {
      regular: "dark",
      expanded: "primary"
    },
    background: {
      selected: r.neutral.N30
    }
  }
}, d = {
  primary: {
    color: r.blue.B400
  },
  success: {
    color: r.green.G400
  },
  warning: {
    color: r.yellow.Y400
  },
  danger: {
    color: r.red.R400
  },
  help: {
    color: r.purple.P400
  },
  dark: {
    color: r.neutral.N900
  },
  gray: {
    color: r.neutral.N20
  },
  light: {
    color: r.neutral.N10
  }
}, p = {
  display: {
    large: {
      font: "Roboto",
      lineHeight: "64px",
      size: "57px",
      tracking: "-0.25px",
      weight: 400
    },
    medium: {
      font: "Roboto",
      lineHeight: "52px",
      size: "45px",
      tracking: "0px",
      weight: 400
    },
    small: {
      font: "Roboto",
      lineHeight: "44px",
      size: "36px",
      tracking: "0px",
      weight: 400
    }
  },
  headline: {
    large: {
      font: "Roboto",
      lineHeight: "40px",
      size: "32px",
      tracking: "0px",
      weight: 400
    },
    medium: {
      font: "Roboto",
      lineHeight: "36px",
      size: "28px",
      tracking: "0px",
      weight: 400
    },
    small: {
      font: "Roboto",
      lineHeight: "32px",
      size: "24px",
      tracking: "0px",
      weight: 400
    }
  },
  title: {
    large: {
      font: "Roboto",
      lineHeight: "28px",
      size: "22px",
      tracking: "0px",
      weight: 400
    },
    medium: {
      font: "Roboto",
      lineHeight: "24px",
      size: "16px",
      tracking: "0.15px",
      weight: 500
    },
    small: {
      font: "Roboto",
      lineHeight: "20px",
      size: "14px",
      tracking: "0.1px",
      weight: 500
    }
  },
  label: {
    large: {
      font: "Roboto",
      lineHeight: "20px",
      size: "14px",
      tracking: "0.1px",
      weight: 500
    },
    medium: {
      font: "Roboto",
      lineHeight: "16px",
      size: "12px",
      tracking: "0.5px",
      weight: 500
    },
    small: {
      font: "Roboto",
      lineHeight: "16px",
      size: "11px",
      tracking: "0.5px",
      weight: 500
    }
  },
  body: {
    large: {
      font: "Roboto",
      lineHeight: "24px",
      size: "16px",
      tracking: "0.5",
      weight: 400
    },
    medium: {
      font: "Roboto",
      lineHeight: "20px",
      size: "14px",
      tracking: "0.25px",
      weight: 400
    },
    small: {
      font: "Roboto",
      lineHeight: "16px",
      size: "12px",
      tracking: "0.4px",
      weight: 400
    }
  }
}, g = {
  background: {
    color: r.neutral.N30
  },
  animation: {
    color: r.neutral.N10
  }
}, i = {
  primary: {
    normal: {
      background: {
        color: r.blue.B50
      },
      content: {
        appearance: "primary"
      }
    },
    strong: {
      background: {
        color: r.blue.B400
      },
      content: {
        appearance: "light"
      }
    }
  },
  success: {
    normal: {
      background: {
        color: r.green.G50
      },
      content: {
        appearance: "success"
      }
    },
    strong: {
      background: {
        color: r.green.G400
      },
      content: {
        appearance: "light"
      }
    }
  },
  warning: {
    normal: {
      background: {
        color: r.yellow.Y50
      },
      content: {
        appearance: "warning"
      }
    },
    strong: {
      background: {
        color: r.yellow.Y400
      },
      content: {
        appearance: "dark"
      }
    }
  },
  danger: {
    normal: {
      background: {
        color: r.red.R50
      },
      content: {
        appearance: "danger"
      }
    },
    strong: {
      background: {
        color: r.red.R400
      },
      content: {
        appearance: "light"
      }
    }
  },
  help: {
    normal: {
      background: {
        color: r.purple.P50
      },
      content: {
        appearance: "help"
      }
    },
    strong: {
      background: {
        color: r.purple.P400
      },
      content: {
        appearance: "light"
      }
    }
  },
  dark: {
    normal: {
      background: {
        color: r.neutral.N30
      },
      content: {
        appearance: "dark"
      }
    },
    strong: {
      background: {
        color: r.neutral.N900
      },
      content: {
        appearance: "light"
      }
    }
  },
  gray: {
    normal: {
      background: {
        color: r.neutral.N10
      },
      content: {
        appearance: "gray"
      }
    },
    strong: {
      background: {
        color: r.neutral.N30
      },
      content: {
        appearance: "gray"
      }
    }
  },
  light: {
    normal: {
      background: {
        color: r.neutral.N0
      },
      content: {
        appearance: "dark"
      }
    },
    strong: {
      background: {
        color: r.neutral.N10
      },
      content: {
        appearance: "dark"
      }
    }
  }
}, s = {
  background: {
    color: r.neutralAlpha.N100A
  }
}, N = {
  background: {
    color: r.neutral.N0
  },
  content: {
    appearance: "gray"
  }
}, b = {
  content: {
    appearance: {
      selected: "primary"
    }
  }
}, h = {
  content: {
    active: "dark"
  }
}, k = {
  content: {
    color: {
      regular: r.blue.B400,
      hover: r.blue.B300
    }
  }
}, F = {
  title: {
    appearance: "dark"
  },
  description: {
    appearance: "gray"
  },
  track: {
    color: r.neutral.N30
  },
  bar: {
    color: r.blue.B400
  },
  background: {
    color: r.neutral.N10
  },
  button: {
    appearance: "primary"
  },
  step: {
    color: r.blue.B400
  }
}, A = {
  primary: {
    background: {
      color: r.blue.B50
    },
    countdownbar: {
      appearance: "primary"
    },
    icon: {
      appearance: "primary"
    },
    content: {
      appearance: "dark"
    }
  },
  success: {
    background: {
      color: r.green.G50
    },
    countdownbar: {
      appearance: "success"
    },
    icon: {
      appearance: "success"
    },
    content: {
      appearance: "dark"
    }
  },
  warning: {
    background: {
      color: r.yellow.Y50
    },
    countdownbar: {
      appearance: "warning"
    },
    icon: {
      appearance: "warning"
    },
    content: {
      appearance: "dark"
    }
  },
  danger: {
    background: {
      color: r.red.R50
    },
    countdownbar: {
      appearance: "danger"
    },
    icon: {
      appearance: "danger"
    },
    content: {
      appearance: "dark"
    }
  },
  help: {
    background: {
      color: r.purple.P50
    },
    countdownbar: {
      appearance: "help"
    },
    icon: {
      appearance: "help"
    },
    content: {
      appearance: "dark"
    }
  },
  dark: {
    background: {
      color: r.neutral.N30
    },
    countdownbar: {
      appearance: "dark"
    },
    icon: {
      appearance: "dark"
    },
    content: {
      appearance: "dark"
    }
  },
  gray: {
    background: {
      color: r.neutral.N10
    },
    countdownbar: {
      appearance: "gray"
    },
    icon: {
      appearance: "gray"
    },
    content: {
      appearance: "dark"
    }
  },
  light: {
    background: {
      color: r.neutral.N0
    },
    countdownbar: {
      appearance: "dark"
    },
    icon: {
      appearance: "dark"
    },
    content: {
      appearance: "dark"
    }
  }
}, v = {
  background: {
    color: r.neutral.N10
  },
  divider: {
    color: r.neutral.N40
  },
  title: {
    appearance: "gray"
  },
  subtitle: {
    appearance: {
      regular: "gray",
      expanded: "primary"
    },
    background: {
      expanded: r.neutral.N30
    }
  },
  link: {
    appearance: {
      regular: "dark",
      selected: "primary"
    },
    background: {
      selected: r.neutral.N30,
      hover: r.neutral.N30
    }
  },
  copyright: {
    appearance: "gray"
  }
}, y = {
  background: {
    color: r.neutral.N10
  },
  divider: {
    color: r.neutral.N40
  },
  title: {
    appearance: "gray"
  },
  subtitle: {
    appearance: {
      regular: "gray",
      expanded: "primary"
    },
    background: {
      expanded: r.neutral.N30
    }
  },
  link: {
    appearance: {
      regular: "dark",
      selected: "primary"
    },
    background: {
      selected: r.neutral.N30,
      hover: r.neutral.N30
    }
  },
  copyright: {
    appearance: "gray"
  },
  burger: {
    appearance: "dark"
  }
}, B = {
  fullscreenNav: y,
  nav: v,
  sectionMessage: A,
  assisted: F,
  link: k,
  breadcrumbs: h,
  tabs: b,
  header: N,
  blanket: s,
  button: n,
  fieldset: o,
  icon: a,
  input: u,
  label: t,
  palette: r,
  spinner: l,
  toggle: c,
  text: e,
  countdownBar: d,
  typography: p,
  skeleton: g,
  tag: i
};
export {
  B as inube
};
